include "root" {
  path = find_in_parent_folders()
}

locals {
  config_vars = read_terragrunt_config(find_in_parent_folders("config.hcl"))
  domain      = local.config_vars.locals.dns_private_domain
}

generate = local.config_vars.generate

terraform {
  source = "${get_repo_root()}//modules/dns"
}

inputs = {
  dns_zone_name = local.domain
}
