variable "default_iam_role" {
  description = "The default parameters for and IAM Role definition"
  type = object({
    assume_role_policy   = any
    permissions_boundary = any
    policy               = any
    tags                 = map(string)
  })
  default = {
    assume_role_policy   = null
    permissions_boundary = null
    policy               = null
    tags                 = {}
  }
}

variable "iam_roles" {
  type        = map(any)
  default     = {}
  description = "The list of IAM roles and their permissions. See `default_iam_role` for the list of available params"
}
