locals {
  current_roles = yamldecode(yamldecode(var.aws_auth_configmap_yaml).data.mapRoles)
}

resource "kubernetes_config_map" "aws_auth" {
  metadata {
    name      = "aws-auth"
    namespace = "kube-system"
  }

  data = {
    mapRoles = yamlencode(concat(local.current_roles, var.aws_auth_additional_roles))
  }
}
