remote_state {
  backend = "s3"
  config = {
    encrypt        = true
    bucket         = "avx-pmarie-aws-infra-state"
    key            = "terraform-plans/${path_relative_to_include()}/terraform.tfstate"
    region         = "eu-west-3"
    dynamodb_table = "avx-pmarie-aws-infra-state-locks"
  }
  generate = {
    path      = "tg-backend.tf"
    if_exists = "overwrite_terragrunt"
  }
}
