data "aws_lb" "public" {
  depends_on = [helm_release.nginx_ingress_contoller]

  tags = merge(var.tags, { scheme = "internet-facing" })
}

data "aws_lb" "internal" {
  depends_on = [helm_release.nginx_ingress_contoller]

  tags = merge(var.tags, { scheme = "internal" })
}

data "aws_eks_cluster_auth" "self" {
  name = var.cluster_id
}
